Skip to main content
PUT
/
v1
/
bot
/
crm
/
contacts
/
{contact_id}
Update CRM Contact
curl --request PUT \
  --url https://api.boostgpt.co/v1/bot/crm/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "bot_id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "company": "<string>",
  "status": "<string>",
  "status_id": "<string>",
  "status_key": "<string>",
  "fields": {},
  "summary": "<string>"
}
'
{
  "contact": {
    "uuid": "<string>",
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "company": "<string>",
    "status": "<string>",
    "status_label": "<string>",
    "fields": {},
    "summary": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Path Parameters

contact_id
string
required

Contact ID

Body

application/json
project_id
string
required
bot_id
string
required
name
string
email
string
phone
string
company
string
status
string
status_id
string
status_key
string
fields
object
summary
string

Response

Success

contact
object